<?php
session_start();
require_once('config.php');
if(!isset($_SESSION['username']) or $_SESSION['username'] != "admin") die("Access restricted");

$masterdb = new GenericSqliteTable("var/master.db","master");
$ids = $masterdb->GetKeys();
sort($ids);
if(count($ids)==0) die('Import data to establish column names');
$colNames = array_keys($masterdb[$ids[0]]);
$nameCol = GetConfigOption('nameCol');
$idCol = GetConfigOption('idCol');

//Add post form data to database
$addDbError = Null;
$dbUpdated = 0;
//echo "key".$idCol;
if(isset($_POST['add']) and $_POST['add'] == "Submit")
	if(strlen($_POST[$idCol])==0) $addDbError="Unique ID has zero length.";
if(isset($_POST['add']) and $_POST['add'] == "Submit" and $addDbError == Null)
{
	if(isset($masterdb[$_POST[$idCol]])) $addDbError="Record with that ID already exists.";
}
if(isset($_POST['add']) and $_POST['add'] == "Submit" and $addDbError == Null)
{
	$ref = $_POST[$idCol];
	$data = array();
	foreach($_POST as $k => $v)
	{
		if($k == "add") continue;
		$data[$k] = $v;
	}
	$masterdb[$ref] = $data;
	$dbUpdated = 1;
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!--
Design by Free CSS Templates
http://www.freecsstemplates.org
Released for free under a Creative Commons Attribution 2.5 License

Name       : Tomatoes
Description: A two-column, fixed-width design for 1024x768 screen resolutions.
Version    : 1.0
Released   : 20110301

-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title><?php echo GetConfigOption('overallTitle').", ".GetConfigOption('subTitle');?></title>
<meta name="keywords" content="" />
<meta name="description" content="" />
<link href="style.css" rel="stylesheet" type="text/css" media="screen" />
</head>
<body>
<div id="wrapper">
	<div id="header">
		<div id="menu">
			<ul>
				<?php $pageCatExplore = 1;
				require('topbar.php'); ?>
			</ul>
		</div>
		<!-- end #menu -->
	</div>
	<div id="logo">
		<h1><a href="#"><?php echo GetConfigOption('overallTitle');?></a></h1>
		<p><em><?php echo GetConfigOption('subTitle');?></em></p>
	</div>
	<hr />
	<!-- end #logo -->
	<div id="page">
		<div id="page-bgtop">
			<div id="content">

<?php if($addDbError!=Null) { ?>
				<div class="post">
					<h2 class="title"><a href="#">Error Adding Record to Database</a></h2>
					<div class="entry">
						<p><?php echo $addDbError; ?></p>
					</div>
				</div>
<?php } 

if($dbUpdated)
{
?>
				<div class="post">
					<h2 class="title"><a href="#">Record Successfully Added to Database</a></h2>
					<div class="entry">
						<p>Yay!</p>
					</div>
				</div>

<?php
} ?>
				<div class="post">
					<h2 class="title"><a href="#">Add a Record</a></h2>
					<div class="entry">
					<form action="" method="post"><ul>
					<?php 
					$nextId = $ids[count($ids)-1];
					if(is_numeric($nextId)) $nextId++;
					foreach($colNames as $col)
					{
						if($col == "key") continue;
						if($col == $idCol)
						echo "<li>".htmlspecialchars($col)." <input type='text' name=\"".htmlspecialchars($col)."\" value=\"".$nextId."\"></li>";
						else
						echo "<li>".htmlspecialchars($col)." <input type='text' name=\"".htmlspecialchars($col)."\"></li>";

					} ?>

					</ul><p><input name="add" type="submit" value="Submit" /></p></form>
					</div>
				</div>



			</div>
			<!-- end #content -->
			<div id="sidebar">
				<ul>
					<?php require('sidebar.php'); ?>

				</ul>
			</div>
			<!-- end #sidebar -->
			<div style="clear: both;">&nbsp;</div>
		</div>
	</div>
	<!-- end #page -->
	<div id="footer">

<?php
	require_once('footer.php');
?>
	</div>
	<!-- end #footer -->
</div>
</body>
</html>
